HttpHost (HttpClient 3.1 API)
Keywords: org.apache.commons.httpclient.HttpHost class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.httpclient
Class HttpHost

    java.lang.Object
      org.apache.commons.httpclient.HttpHost

All Implemented Interfaces:
  Cloneable

Direct Known Subclasses:
  ProxyHost

    public class HttpHost

extends Object
implements Cloneable

Holds all of the variables needed to describe an HTTP connection to a host. This includes remote host, port and protocol.

Since:
  3.0
Author:
  Michael Becke, Mike Bowler, Oleg Kalnichevski, Laura Werner

Constructor Summary
`HttpHost(HttpHost httphost)` Copy constructor for HttpHost
`HttpHost(String hostname)` Constructor for HttpHost.
`HttpHost(String hostname, int port)` Constructor for HttpHost.
`HttpHost(String hostname, int port, Protocol protocol)` Constructor for HttpHost.
`HttpHost(URI uri)` URI constructor for HttpHost.

Method Summary
`Object` | `clone()`
`boolean` | `equals(Object o)`
`String` | `getHostName()` Returns the host name (IP or DNS name).
`int` | `getPort()` Returns the port.
`Protocol` | `getProtocol()` Returns the protocol.
`int` | `hashCode()`
`String` | `toString()`
`String` | `toURI()` Return the host uri.

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HttpHost

    public HttpHost(String hostname,
                    int port,
                    Protocol protocol)

  Constructor for HttpHost.

  Parameters:
    `hostname` - the hostname (IP or DNS name). Can be `null`.
    `port` - the port. Value `-1` can be used to set default protocol port
    `protocol` - the protocol. Value `null` can be used to set default protocol

### HttpHost

    public HttpHost(String hostname,
                    int port)

  Constructor for HttpHost.

  Parameters:
    `hostname` - the hostname (IP or DNS name). Can be `null`.
    `port` - the port. Value `-1` can be used to set default protocol port

### HttpHost

    public HttpHost(String hostname)

  Constructor for HttpHost.

  Parameters:
    `hostname` - the hostname (IP or DNS name). Can be `null`.

### HttpHost

    public HttpHost(URI uri)
             throws URIException

  URI constructor for HttpHost.

  Parameters:
    `uri` - the URI.
  Throws:
    `URIException`

### HttpHost

    public HttpHost(HttpHost httphost)

  Copy constructor for HttpHost

  Parameters:
    `httphost` - the HTTP host to copy details from

Method Detail

### clone

    public Object clone()
                 throws CloneNotSupportedException

  Overrides:
    `clone` in class `Object`
  Throws:
    `CloneNotSupportedException`
  See Also:
    `Object.clone()`

### getHostName

    public String getHostName()

  Returns the host name (IP or DNS name).

  Returns:
    the host name (IP or DNS name), or `null` if not set

### getPort

    public int getPort()

  Returns the port.

  Returns:
    the host port, or `-1` if not set

### getProtocol

    public Protocol getProtocol()

  Returns the protocol.

  Returns:
    The protocol.

### toURI

    public String toURI()

  Return the host uri.

  Returns:
    The host uri.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`
  See Also:
    `Object.toString()`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`
  See Also:
    `Object.equals(java.lang.Object)`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`
  See Also:
    `Object.hashCode()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2007 Apache Software Foundation. All Rights Reserved.